Subject: bug#13578: [IMPORTANT] Savannah issues

From: Stefano Lattarini <[email-masked]>
Date: Sat, 23 Feb 2013 19:06:14 +0100

On 02/23/2013 06:46 PM, Stefano Lattarini wrote:
> On 02/21/2013 04:06 PM, Stefano Lattarini wrote:
>>
>> On 02/21/2013 03:32 PM, Stefano Lattarini wrote:
>>>
>>>> Not yet; we first need a preparatory patch adjusting NEWS and HACKING (as
>>>> well as few miscellaneous comments in tests and scripts).  Then we can
>>>> finally proceed with the re-shuffling of the Git repository -- which I
>>>> guess will also have to be announced in autotools-announce at least, as
>>>> well as reported as a news on Savannah.
>>>>
>>>> So here is my attempt; OK to push to branch-1.13.2?  I will proceed in a
>>>> couple of days if there is no objection.
>>>>
>>> Pushed now.
>>>
>> In a couple of days, I will proceed with this "branch moving":
>>
>>    * branch-1.13.2 -> maint
>>    * maint -> master
>>    * master -> next
>>
> Done.
>
Damn, not really.  For some questionable reason, Savannah is rejecting
my non-fast-forward push to master even if I specify '--force', and
I cannot use the usual trick "delete the remote branch, then push the
local one to it" trick that I typically use to work around this
problem, since 'master' is the "current branch" of the remote
repository, and that cannot be deleted to avoid confusing "git clone".

For reference, this is the error message I got when I try to delete
master:

  remote: error: By default, deleting the current branch is denied, because the next
  remote: error: 'git clone' won't result in any file checked out, causing confusion.
  remote: error:
  remote: error: You can set 'receive.denyDeleteCurrent' configuration variable to
  remote: error: 'warn' or 'ignore' in the remote repository to allow deleting the
  remote: error: current branch, with or without a warning message.
  remote: error:
  remote: error: To squelch this message, you can set it to 'refuse'.
  remote: error: refusing to delete the current branch: refs/heads/master

So *THE AUTOMAKE GIT REPOSITORY ON SAVANNAH IS CURRENTLY IN AN
INCONSISTENT STATE* (not broken, mind you, merely inconsistent with
our new declared policies), and should not be used until this issue
is resolved.

I don't have time to look into this presently, so I'd appreciate if
anyone could look into the issue (finding a way not have savannah
to reject non-fast-forward pushes would be enough).

Thanks, and sorry for the confusion,
  Stefano